X
Tap here to go to the mobile version of the site.

Support Forum

Firefox screws MAC users AGAIN on PayPal no multi order

Posted

Once again a Firefox update has cut off MAC users from using PayPal multi order shipping. No notice, no fix, how do you manage to screw up the largest site connected to Ebay ? Now I have to use USPS.com because YOU didn't check your update before TRELLING us to install it. SLOPPY WORK!!!!!!


URL of affected sites

http://www.paypal.com

Once again a Firefox update has cut off MAC users from using PayPal multi order shipping. No notice, no fix, how do you manage to screw up the largest site connected to Ebay ? Now I have to use USPS.com because YOU didn't check your update before TRELLING us to install it. SLOPPY WORK!!!!!! == URL of affected sites == http://www.paypal.com

Additional System Details

Installed Plug-ins

  • -Netscape Navigator Default Plug-in
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.0 r45
  • Verified Download Plugin
  • Shockwave Flash 8.0 r24

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4

More Information

the-edmeister
  • Top 25 Contributor
  • Moderator
5398 solutions 40149 answers

Are you dealing from a full deck?

You're using a 3 year old version of Firefox that hasn't been supported in a year and half - what update are you talking about?

Are you dealing from a full deck? You're using a 3 year old version of Firefox that hasn't been supported in a year and half - what update are you talking about?

Question owner

3.6.8 is the current version according to your website Mr. edmeister.

I have been sitting here for 45 minutes trying to load paypal multi order shipping on 3.6.8 and it WILL NOT LOAD.

I called PayPal and they said it is a known failure in the newest version of Firefox and they cannot do anything about it.

So rather than picking on me why don't YOU FIX IT!

3.6.8 is the current version according to your website Mr. edmeister. I have been sitting here for 45 minutes trying to load paypal multi order shipping on 3.6.8 and it WILL NOT LOAD. I called PayPal and they said it is a known failure in the newest version of Firefox and they cannot do anything about it. So rather than picking on me why don't YOU FIX IT!